summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author William PC2022-10-08 17:14:09 +0200
committer Willy Sudiarto Raharjo2022-10-15 05:47:27 +0200
commit911f6942e07156d09e042db2cbac87e893b5a13c (patch)
treef9293d2f114db3a893526d2655b11df600f7a019 /multimedia
parentf68d11b30192a5ac78030ff8b6bb80a0f6533bfa (diff)
downloadslackbuilds-911f6942e07156d09e042db2cbac87e893b5a13c.tar.gz
multimedia/svt-hevc: Added (Xeon/HEVC-compliant encoder library)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/svt-hevc/README6
-rw-r--r--multimedia/svt-hevc/slack-desc19
-rw-r--r--multimedia/svt-hevc/svt-hevc.SlackBuild120
-rw-r--r--multimedia/svt-hevc/svt-hevc.info10
4 files changed, 155 insertions, 0 deletions
diff --git a/multimedia/svt-hevc/README b/multimedia/svt-hevc/README
new file mode 100644
index 0000000000..834e9085ec
--- /dev/null
+++ b/multimedia/svt-hevc/README
@@ -0,0 +1,6 @@
+ The Scalable Video Technology for HEVC Encoder (SVT-HEVC Encoder) is
+an HEVC-compliant encoder library core that achieves excellent
+density-quality tradeoffs, and is highly optimized for Intel Xeon
+Scalable Processor and Xeon D processors.
+
+ Optional, for building with march=native flag set NATIVE=yes
diff --git a/multimedia/svt-hevc/slack-desc b/multimedia/svt-hevc/slack-desc
new file mode 100644
index 0000000000..a1e4fdfc38
--- /dev/null
+++ b/multimedia/svt-hevc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+svt-hevc: svt-hevc (HEVC-compliant encoder library, optimized for Intel Xeon)
+svt-hevc:
+svt-hevc:
+svt-hevc:
+svt-hevc: The Scalable Video Technology for HEVC Encoder (SVT-HEVC Encoder)
+svt-hevc: is an HEVC-compliant encoder library core that achieves excellent
+svt-hevc: density-quality tradeoffs, and is highly optimized for Intel Xeon
+svt-hevc: Scalable Processor and Xeon D processors.
+svt-hevc:
+svt-hevc:
+svt-hevc:
diff --git a/multimedia/svt-hevc/svt-hevc.SlackBuild b/multimedia/svt-hevc/svt-hevc.SlackBuild
new file mode 100644
index 0000000000..d01742b037
--- /dev/null
+++ b/multimedia/svt-hevc/svt-hevc.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for svt-hevc
+
+# Copyright 2022 William PC - Seattle, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=svt-hevc
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf SVT-HEVC-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd SVT-HEVC-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+# enable march=native
+if [ "${NATIVE:-no}" == "yes" ];then
+ OPTS="-DNATIVE=ON"
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DBUILD_SHARED_LIBS=ON \
+ $OPTS \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.md NOTICES.md README.md Docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/svt-hevc/svt-hevc.info b/multimedia/svt-hevc/svt-hevc.info
new file mode 100644
index 0000000000..5f8d90d943
--- /dev/null
+++ b/multimedia/svt-hevc/svt-hevc.info
@@ -0,0 +1,10 @@
+PRGNAM="svt-hevc"
+VERSION="1.5.1"
+HOMEPAGE="https://01.org/sv"
+DOWNLOAD="https://github.com/OpenVisualCloud/SVT-HEVC/archive/v1.5.1/svt-hevc-1.5.1.tar.gz"
+MD5SUM="cc41d3975610781f70527faa567c6a30"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="William PC"
+EMAIL="w_calandrini[at]hotmail[dot]com"